- Qt 6.10
- Qt Widgets
- C++ Classes
- QTapGesture
- Qt 6.10.2 Reference Documentation

# QTapGesture Class

The QTapGesture class describes a tap gesture made by the user. More...

Header: | `#include <QTapGesture>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Widgets)` `target_link_libraries(mytarget PRIVATE Qt6::Widgets)`
qmake: | `QT += widgets`
Inherits: | QGesture

- List of all members, including inherited members

## Properties

- position : QPointF

## Public Functions

virtual | ~QTapGesture()
QPointF | position() const
void | setPosition(const QPointF &pos)

## Detailed Description

For an overview of gesture handling in Qt and information on using gestures in your applications, see the Gestures in Widgets and Graphics View document.

See also QPanGesture and QPinchGesture.

## Property Documentation

### position : QPointF

This property holds the position of the tap

Access functions:

QPointF | position() const
void | setPosition(const QPointF &pos)

## Member Function Documentation

### `[virtual noexcept]` QTapGesture::~QTapGesture()

Destructor.